#pragma once

#include "CoreMinimal.h"
#include "GameplayTagContainer.h"
#include "InstancedStruct.h"
#include "BhvrBlackboardValueMulticastDelegate.generated.h"

class AActor;

UDELEGATE()
DECLARE_DYNAMIC_MULTICAST_DELEGATE_ThreeParams(FBhvrBlackboardValueMulticastDelegate, const AActor*, BlackboardOwner, const FGameplayTag&, Key, const FInstancedStruct&, Value);
